#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	kf6-kwallet
Version		:	6.3.0
Release		:	17.2.0.rel%{?dist}
Summary		:	KDE Frameworks 6 Tier 3 solution for password management

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	extra-cmake-modules
BuildRequires	:	kf6-rpm-macros
BuildRequires	:	kf6-kcolorscheme-devel
BuildRequires	:	kf6-kconfig-devel
BuildRequires	:	kf6-kcoreaddons-devel
BuildRequires	:	kf6-kdbusaddons-devel
BuildRequires	:	kf6-ki18n-devel
BuildRequires	:	kf6-knotifications-devel
BuildRequires	:	kf6-kwidgetsaddons-devel
BuildRequires	:	kf6-kwindowsystem-devel
BuildRequires	:	qt6-qtdeclarative-devel
BuildRequires	:	qt6-qttools-devel
BuildRequires	:	qca-qt6-devel
#-----------------------------------------------------------------------------
%description
KWallet is a secure and unified container for
user passwords.

#-----------------------------------------------------------------------------
%files			-f %{sname}.lang
%defattr(-,root,root,-)
%doc README.md 
%license LICENSES/*.txt
%{_kf6_bindir}/%{sname}-query
%{_kf6_bindir}/%{sname}d6
%{_kf6_libdir}/libKF6WalletBackend.so.6*
%{_kf6_libdir}/libKF6Wallet.so.6*
%{_kf6_datadir}/dbus-1/interfaces/kf6*.xml
%{_kf6_datadir}/applications/org.kde.%{sname}d6.desktop
%{_kf6_datadir}/dbus-1/services/org.kde.%{sname}d5.service
%{_kf6_datadir}/dbus-1/services/org.kde.%{sname}d6.service
%{_kf6_datadir}/knotifications6/%{sname}d6.notifyrc
%{_kf6_datadir}/xdg-desktop-portal/portals/%{sname}.portal
%{_datadir}/qlogging-categories6/%{sname}.categories
%{_datadir}/qlogging-categories6/%{sname}.renamecategories

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_kf6_includedir}/KWallet/%{sname}*.h
%{_kf6_includedir}/KWallet/KWallet
%{_kf6_libdir}/libKF6Wallet.so
%{_kf6_libdir}/cmake/KF6Wallet/KF6Wallet*.cmake
%{_qt6_docdir}/*.tags

#=============================================================================
%package		doc
Summary		:	Developer Documentation files for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Developer Documentation files for %{name} for
use with KDevelop or QtCreator.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_qt6_docdir}/*.qch

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_BINDIR=%{_bindir}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D BUILD_TESTING=OFF 					\
	-D BUILD_QCH=ON						\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}						\
	cmake							\
	--install						\
	_bld

%find_lang %{sname} --all-name --with-man
#-----------------------------------------------------------------------------
%changelog
